#### D.15.14.41 multiDegModulo

Procedure from library `multigrading.lib` (see multigrading_lib).

Usage:
  multiDegModulo(I); I, J are ideals or modules

Purpose:
  computes the multigraded 'modulo' module of I and J

Returns:
  module, see 'modulo' command

Note:
  I and J should have the same multigrading, and their
  generators must be multigraded homogeneous

Example:

    LIB "multigrading.lib";
    ring r = 0,(x,y,z),dp;
    intmat MM[2][3]=
    -1,1,1,
    0,1,3;
    setBaseMultigrading(MM);
    ideal h1 = x, y, z;
    ideal h2 = x;
    "Multidegrees: "; print(multiDeg(h1));
    ==> Multidegrees:
    ==>     -1     1     1
    ==>      0     1     3
    // Let's compute modulo(h1, h2):
    def K = multiDegModulo(h1, h2); K;
    ==> K[1]=gen(1)
    ==> K[2]=y*gen(3)-z*gen(2)
    ==> K[3]=x*gen(2)
    ==> K[4]=x*gen(3)
    "Module Units Multigrading: "; print( getModuleGrading(K) );
    ==> Module Units Multigrading:
    ==>     -1     1     1
    ==>      0     1     3
    "Multidegrees: "; print(multiDeg(K));
    ==> Multidegrees:
    ==>     -1     2     0     0
    ==>      0     4     1     3
    isHomogeneous(K);
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.